using domain.Models;

namespace data.Repository
{
    // Интерфейс для репозитория работы с группами.
    public interface IGroupRepository
    {
        // Метод для получения группы по идентификатору.
        GroupLocalEntity GetGroupById(int groupID);
        
        // Метод для получения всех групп.
        List<GroupLocalEntity> GetAllGroup();

        // Метод для добавления новой группы.
        bool AddGroup(GroupLocalEntity newGroup);

        // Метод для обновления группы по идентификатору.
        bool UpdateGroupById(int groupID, GroupLocalEntity updatedGroup);

        // Метод для удаления группы по идентификатору.
        bool RemoveGroupById(int groupID);
    }
}
